ImportError: No module named 'PyQt5.pyrcc_main'

Post Reply
programmer
Posts: 3
Joined: 27 Mar 2019

ImportError: No module named 'PyQt5.pyrcc_main'

Post by programmer » 11 Jun 2019

Hello everyone, How are you. Let me explain my problem first and then steps undergone to resolve the problem'

Problem
I was playing with Training Custom Object Detector — TensorFlow Object Detection API. During the process of annotation, I was trying to create the annotation using GUI tool as directed from tzutalin repository. He has directed some steps to create the GUI LabelImg (LabelImg is a graphical image annotation tool.) I have followed these but still I got the above error while executing the below command

Code: Select all

python3 labelImg.py


What did I tried to resolve the problem
Asking the help first time is not a good option. I have tried first and found that my tries does not resolve the problem. I think error say that pyqt5 is not installed so i tried with following command

Code: Select all

pip3 install python3-pyqt5

But when I run the command again, I am getting the same error. When I analysed the error more, I could found the below lines

Code: Select all

Makefile:24: recipe for target 'qt5py3' failed
make: *** [qt5py3] Error 1

From the above lines, I got the conclusion the application is build using makefile i.e make is the program which takes the configuration from the Makefile and builds the application. I also studied the difference between cmake and make. I guess this may also help.

What I expect
According to my knowledge code pip3 install python3-pyqt5 should bring the result. Any guidance from any one will be welcomed.

With regards
programmer

User avatar
Aisangam
Site Admin
Posts: 7
Joined: 24 Mar 2019
Location: Delhi, India
Contact:

Re: ImportError: No module named 'PyQt5.pyrcc_main'

Post by Aisangam » 11 Jun 2019

Thanks for asking such question. I would congratulate you for asking the question in well structured way as this will help me to write the solution in best possible way. Second most important part I loved about this question is that you have tried a lot before asking to us. This is also excellent. This must be the spirit. Now coming back to the question, I guess you should try with the following code to resolve your error

Code: Select all

pip3 install pyqt5
-- If you are using pip3

Code: Select all

pip2 install pyqt5
-- if you are using pip2

Post Reply